## GtkPlotSegment

GtkPlotSegment

## Synopsis

    #include <gtkextra.h>

    enum                GtkPlotArrow;
    GtkWidget*          gtk_plot_segment_new                (void);
    void                gtk_plot_segment_set_relative       (GtkPlotSegment *segment,
                                                             gboolean set);
    gboolean            gtk_plot_segment_relative           (GtkPlotSegment *segment);
    void                gtk_plot_segment_set_arrow          (GtkPlotSegment *segment,
                                                             gint arrow_length,
                                                             gint arrow_width,
                                                             GtkPlotSymbolStyle style);
    void                gtk_plot_segment_get_arrow          (GtkPlotSegment *segment,
                                                             gint *arrow_length,
                                                             gint *arrow_width,
                                                             GtkPlotSymbolStyle *style);
    void                gtk_plot_segment_set_arrow_mask     (GtkPlotSegment *segment,
                                                             GtkPlotArrow mask);
    guint               gtk_plot_segment_get_arrow_mask     (GtkPlotSegment *segment);
    void                gtk_plot_segment_center             (GtkPlotSegment *segment,
                                                             gboolean center);
    gboolean            gtk_plot_segment_is_centered        (GtkPlotSegment *segment);

## Description

## Details

### enum GtkPlotArrow

    typedef enum
    {
          GTK_PLOT_ARROW_NONE            = 0,
          GTK_PLOT_ARROW_ORIGIN          = 1 << 0,
          GTK_PLOT_ARROW_END             = 1 << 1
    } GtkPlotArrow;

### gtk_plot_segment_new ()

    GtkWidget*          gtk_plot_segment_new                (void);

Returns : |

### gtk_plot_segment_set_relative ()

    void                gtk_plot_segment_set_relative       (GtkPlotSegment *segment,
                                                             gboolean set);

`segment` : |
`set` : |

### gtk_plot_segment_relative ()

    gboolean            gtk_plot_segment_relative           (GtkPlotSegment *segment);

`segment` : |
Returns : |

### gtk_plot_segment_set_arrow ()

    void                gtk_plot_segment_set_arrow          (GtkPlotSegment *segment,
                                                             gint arrow_length,
                                                             gint arrow_width,
                                                             GtkPlotSymbolStyle style);

`segment` : |
`arrow_length` : |
`arrow_width` : |
`style` : |

### gtk_plot_segment_get_arrow ()

    void                gtk_plot_segment_get_arrow          (GtkPlotSegment *segment,
                                                             gint *arrow_length,
                                                             gint *arrow_width,
                                                             GtkPlotSymbolStyle *style);

`segment` : |
`arrow_length` : |
`arrow_width` : |
`style` : |

### gtk_plot_segment_set_arrow_mask ()

    void                gtk_plot_segment_set_arrow_mask     (GtkPlotSegment *segment,
                                                             GtkPlotArrow mask);

`segment` : |
`mask` : |

### gtk_plot_segment_get_arrow_mask ()

    guint               gtk_plot_segment_get_arrow_mask     (GtkPlotSegment *segment);

`segment` : |
Returns : |

### gtk_plot_segment_center ()

    void                gtk_plot_segment_center             (GtkPlotSegment *segment,
                                                             gboolean center);

`segment` : |
`center` : |

### gtk_plot_segment_is_centered ()

    gboolean            gtk_plot_segment_is_centered        (GtkPlotSegment *segment);

`segment` : |
Returns : |